{% extends 'app_pizzaplanet/base.html' %}
{% load static %}


{% block contenido %}

<script>

    // funcion filtro cod producto
    $(document).ready(function () {

        $('#cod_prod').on('keyup', function () {
            var value = $(this).val().toLowerCase();
            $('#tablaPro tr').filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            })

        })

    });

</script>



<div class="container-fluid">
    <!--necesario para que muestre la alerta-->
    {% if messages %}

    {% for message in messages %}
    <script>
        Swal.fire({
            title: 'Exito!',
            text: '{{message}}',
            icon: 'success',
            confirmButtonText: "Aceptar",
            confirmButtonColor: "Green"


        })
    </script>
    {% endfor %}
    {% endif %}

    <div class="container-fluid">
        <br>
        <div class="row">
            <div class="col-md-8">
                <h2>Gestion de Productos</h2>
            </div>
            <div class="col-md-4">
                <a href="{% url 'ingresarProd' %}" class="btn btn-light mt-2" role="button">Ingresar Producto</a>
                <a href="{% url 'modificarProd' %}" class="btn btn-light mt-2" role="button">Modificar Producto</a>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-md-3">
                <div class="card-body">
                    <form class="form-inline" action="/action_page.php">
                        <p style="font-weight: bold;">Filtrar codigo prod: </p> &nbsp;
                        <input class="form-control mr-sm-2" id="cod_prod" type="text" placeholder="Cod Producto">

                    </form>
                    <br>
                    <form>
                        <select name="Ordenar Por" class="custom-select">
                            <option selected>Ordenar Por</option>
                            <option value="Mas reciente">Mas reciente</option>
                            <option value="Mas antiguo">Mas antiguo</option>
                            <option value="Precio menor a mayor">Precio menor a mayor</option>
                            <option value="Precio mayor a menor">Precio mayor a menor</option>
                        </select>
                    </form>
                    <br>
                    <form>
                        <select name="Categoria" class="custom-select">
                            <option selected>Categoria</option>
                            <option value="Pizzas">Pizzas</option>
                            <option value="Bebidas">Bebidas</option>
                            <option value="Acompañamiento">Acompañamiento</option>
                            <option value="Promociones">Promociones</option>
                        </select>
                    </form>
                    <br>
                    <button type="button" class="btn btn-danger mt-2">Eliminar seleccion</button>


                </div>
            </div>
            <div class="col-lg-9">
                <table class="table  table-responsive ">
                    <thead class="thead-light">
                        <tr>

                            <th>Codigo</th>
                            <th>Producto</th>
                            <th>Nombre</th>
                            <th>Descripcion</th>
                            <th>Stock</th>
                            <th>Valor Unitario</th>
                            <th>Valor Total</th>
                            <TH>Fecha Ingreso</TH>

                        </tr>
                    </thead>
                    <tbody id="tablaPro">
                        {% csrf_token %}
                        {% for item in productos %}
                        <tr>
                            <td>{{item.codigo}}</td>
                            <td><img src="{{item.imagen.url}}" class="img-fluid" alt="" width="150"></td>
                            <td>{{item.nombre}}</td>
                            <td>{{item.descripcion}}</td>
                            <td>{{item.stock}}</td>
                            <td>{{item.valorUnitario}}</td>
                            <td>{{item.valorTotal}}</td>
                            <td>{{item.fechaIngreso}}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                
            </div>
        </div>
    </div>
</div>





{% endblock contenido %}